
Katello - Bug #6047

Content search renders poorly in some(?) circumstances

06/03/2014 08:29 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1083319 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1083319

Description of problem:

When doing content search in Chrome, the results table seems to be dropped down below the results themselves (easier to explain

in a screenshot)

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.16-1.el6sat.noarch

foreman-postgresql-1.5.0.16-1.el6sat.noarch

foreman-proxy-1.5.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.32-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

openldap-devel-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-5.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-12.el6sat.noarch

How reproducible:
Steps to Reproduce:

1. USING CHROME, create a content view containing content (say, a puppet repo or something) and promote it, etc.

2.  Content > Content Search

3.  Results > "+" (Org picker) to choose multiple orgs (two or more)

4.  Select Puppet Modules from the left dropdown and submit

Actual results:

Rather than appear next to the results, in the Org columns as expected, it appears below it

Expected results:

Should render correctly.

Additional info:

See forthcoming screenshot, much easier to see.

Associated revisions

Revision 19dfc853 - 06/03/2014 08:30 PM - Eric Helms

Fixes #6047: Prevent search grid from folding under row headers, BZ1083319.

For some browser zoom levels, the grid rows would tuck up under the

row headers. This reduces the width of the grid area allowing it to

stay in place.

Revision 75b28f63 - 06/09/2014 12:13 PM - Eric Helms

Merge pull request #4208 from ehelms/fixes-6047

Fixes #6047: Prevent search grid from folding under row headers, BZ10833...

History

#1 - 06/03/2014 08:30 PM - Eric Helms

- Status changed from New to Assigned

- Target version set to 45

- Triaged set to Yes

#2 - 06/09/2014 12:52 PM - Eric Helms

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:19dfc853546be859afac5aa9973a826914e82b99.

#3 - 08/22/2014 08:29 AM - Eric Helms

- translation missing: en.field_release set to 13
